package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;
import com.me.brickbuster.BrickBuster;

public class Ball extends Entity {

	public static final int RADIUS = 25;
	public static final Color BALL_COLOR = Color.CHARTREUSE;

	public Vector2 direction;
	public float speed;

	public Ball(BrickBuster brickBuster) {
		super(brickBuster, 400, 83);
	}

	@Override
	public void render() {
		getShapeRenderer().begin(ShapeRenderer.ShapeType.Filled);
		getShapeRenderer().setColor(BALL_COLOR);
		getShapeRenderer().circle(this.getX(), this.getY(), RADIUS, 50);
		getShapeRenderer().end();
	}

	@Override
	public void update(float dt) {
		if (!getBrickBuster().isPlaying()) {
			return;
		}
		setX(getX() + (int) (direction.x * speed));
		setY(getY() + (int) (direction.y * speed));
		/*if (this.getX() + RADIUS < BrickBuster.WIDTH) {
			this.setX(this.getX() + 1);
		}*/
	}

	public void launch() {
		direction = new Vector2(0, 1);
		speed = 5;
	}
}
